Inicio / Alerta Temprana / Avisos Sci / Vulnerabilidad de cifrado débil en la aplicación de arranque CODESYS V3

Vulnerabilidad de cifrado débil en la aplicación de arranque CODESYS V3

Fecha de publicación: 
30/11/2022
Identificador: 
INCIBE-2022-1036
Importancia: 
4 - Alta
Recursos afectados: 

CODESYS Development System V3, versiones anteriores a la 3.5.18.40 en variantes de 32 y 64 bits.

Descripción: 

Abdelrahman Hassanien y Jos Wetzels, de Forescout Technologies, han reportado una vulnerabilidad de cifrado débil en la aplicación de arranque de CODESYS.

Solución: 

Actualizar CODESYS Development System V3 a la versión 3.5.18.40.

Detalle: 

La aplicación de arranque se descarga y ejecuta en los sistemas de runtime de CODESYS Control. Esto podría permitir a un atacante descifrar la aplicación de arranque y acceder y manipular el código compilado. Se ha asignado el identificador CVE-2022-4048 para esta vulnerabilidad.

Encuesta valoración